Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 510784 - Review Request: dieharder - A random number generator tester and timer
Summary: Review Request: dieharder - A random number generator tester and timer
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-07-10 18:41 UTC by Benjamin Lewis
Modified: 2010-01-16 14:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-16 14:54:38 UTC


Attachments (Terms of Use)

Description Benjamin Lewis 2009-07-10 18:41:00 UTC
Spec URL: http://benl.co.uk/files/srpms/dieharder/dieharder.spec
SRPM URL: http://benl.co.uk/files/srpms/dieharder/dieharder-2.28.1-2.fc10.src.rpm
Description: 
dieharder is a fairly involved random number/uniform deviate generator
tester.  It can either test any of its many prebuilt and linked
generators (basically all of those in the Gnu Scientific Library plus
others I've added) or a potentially random dataset in a file.  With file
input, it can manage either a variety of ascii-formatted input or a raw
binary bitstring.  It is thus suitable for use in testing both software
RNG's and hardware RNG's.

See http://www.phy.duke.edu/~rgb/General/dieharder.php for more information

As this is my first package I will be requiring a sponsor.

A few quick notes:
 - The spec file is based on the one found in the srpms on the above link, 
   but has been heavily edited to conform to the Fedora Packaging Guidelines
 - The original spec file had no changelog entries, hence the sparse nature 
   of that section
 - rpmlint is complaining about 
     dieharder-libs.i386: W: shared-lib-calls-exit /usr/lib/libdieharder.so.2.28.1 exit@GLIBC_2.0
   I am unsure what to do about this as a quick grep "exit" *.c in
   libdieharder/ reveals that this is pretty endemic to the code

Comment 1 R P Herrold 2009-07-10 21:06:59 UTC
I get a failure on CentOS 5  what libtool are you using?

/bin/sh ../libtool --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I..  -DVERSION=2.28.1 -I ../include -I /usr/include  -O3 -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -MT bits.lo -MD -MP -MF .deps/bits.Tpo -c -o bits.lo bits.c
../libtool: line 813: X--tag=CC: command not found
../libtool: line 846: libtool: ignoring unknown tag : command not found
../libtool: line 813: X--mode=compile: command not found
../libtool: line 979: *** Warning: inferring the mode of operation is deprecated.: command not found
../libtool: line 980: *** Future versions of Libtool will require --mode=MODE be specified.: command not found

Comment 2 Benjamin Lewis 2009-07-10 21:43:25 UTC
[blewis@dominus dieharder-2.28.1]$ ./libtool --version
ltmain.sh (GNU libtool) 1.5.22 (1.1220.2.365 2005/12/18 22:14:06)

is the version on my F10 box. I don't have access to a box running CentOS 5, sadly, so am not sure how to proceed with that?

Comment 3 Jason Tibbitts 2009-07-10 21:53:44 UTC
This also fails to build for me in rawhide:

+ ./autogen.sh
Running aclocal...
Running autoconf...
configure.ac:85: error: possibly undefined macro: AC_PROG_LIBTOOL
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
Running autoheader...
Running automake...
libdieharder/Makefile.am:21: Libtool library used but `LIBTOOL' is undefined
libdieharder/Makefile.am:21:   The usual way to define `LIBTOOL' is to add `AC_PROG_LIBTOOL'
libdieharder/Makefile.am:21:   to `configure.ac' and run `aclocal' and `autoconf' again.
libdieharder/Makefile.am:21:   If `AC_PROG_LIBTOOL' is in `configure.ac', make sure
libdieharder/Makefile.am:21:   its definition is in aclocal's search path.

I believe you are missing a build dependency.  Are you building in mock?  If you don't you aren't actually testing that the package builds with the set of BuildRequires: you indicate.  You are welcome to build in Fedora's build system if you don't have a local mock setup.  Instructions are in http://fedoraproject.org/wiki/PackageMaintainers/Join which you should probably read through in any case.

Comment 4 Benjamin Lewis 2009-07-10 23:01:26 UTC
I've rectified the missing libtool dependency, and the package now builds in koji for dist-f10 (https://koji.fedoraproject.org/koji/taskinfo?taskID=1466547). However, there is a curious libtool error on dist-f11 (https://koji.fedoraproject.org/koji/taskinfo?taskID=1466565), which I will look into in the morning.

In the interim, an updated SRPM and spec file:
SRPM: http://benl.co.uk/files/srpms/dieharder/dieharder-2.28.1-2.fc10.src.rpm
Spec file: http://benl.co.uk/files/srpms/dieharder/dieharder.spec

Comment 5 Benjamin Lewis 2009-07-11 09:04:35 UTC
Ok, this now builds in koji on F11 (https://koji.fedoraproject.org/koji/taskinfo?taskID=1467017) and rawhide (https://koji.fedoraproject.org/koji/taskinfo?taskID=1467026) as well.

Updated SRPM and Spec:
SRPM: http://benl.co.uk/files/srpms/dieharder/dieharder-2.28.1-4.fc10.src.rpm
Spec file: http://benl.co.uk/files/srpms/dieharder/dieharder.spec

Could this be reviewed now, please?

Comment 6 Mamoru TASAKA 2009-09-15 17:49:43 UTC
(In reply to comment #5)
> Updated SRPM and Spec:
> SRPM: http://benl.co.uk/files/srpms/dieharder/dieharder-2.28.1-4.fc10.src.rpm
> Spec file: http://benl.co.uk/files/srpms/dieharder/dieharder.spec
> 
> Could this be reviewed now, please?  

Seems 404...

Comment 7 Benjamin Lewis 2009-09-15 17:56:27 UTC
Sorry about that. Must have missed then when I rebuilt my server. I will upload them to fedorapeople.org when I get home.

Comment 8 Mamoru TASAKA 2009-09-22 16:30:53 UTC
Would you post the URL to your spec/srpm?

Comment 9 Mamoru TASAKA 2009-10-10 16:26:05 UTC
ping again?

Comment 10 Mamoru TASAKA 2009-12-23 14:34:07 UTC
Again ping?

Comment 11 Mamoru TASAKA 2010-01-07 18:46:34 UTC
I will close this bug if no response is received from the reporter
within ONE WEEK.

Comment 12 Mamoru TASAKA 2010-01-16 14:54:38 UTC
Once closing.

If someone wants to import this package into Fedora, please file
a new review request and mark this bug as a duplicate of the new
one.

Thank you!


Note You need to log in before you can comment on or make changes to this bug.